<template>
  <PageLayoutWithBg class="dashboard-page-wrapper">
    <template #navigationBar>
      <TransparentNavigationBar :title="'数据看板'" :is-absolute="false">
      </TransparentNavigationBar>
    </template>
    <template #bg>
      <img :src="OssAssets.common.DataPageBg" class="dashboard-page-bg" />
    </template>
    <InnerPage />
  </PageLayoutWithBg>
</template>

<script setup lang="ts">
import InnerPage from './InnerPage.vue';
import { OssAssets } from '@/constants';

defineOptions({
  name: 'dashboard',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.dashboard-page-wrapper {
  .dashboard-page-bg {
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}
</style>
